summaryrefslogtreecommitdiff
path: root/regress/ssh-com-sftp.sh
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@zip.com.au>2003-09-04 15:26:57 +1000
committerDarren Tucker <dtucker@zip.com.au>2003-09-04 15:26:57 +1000
commitbd05609dff890e0667015d91591ef6630276804b (patch)
treeb5ca22a7367744533de7f2d337cafa6c57c006c4 /regress/ssh-com-sftp.sh
parent4735115e4d966f5347e6f3ea0ea10797f37e4034 (diff)
- [regress/ssh-com-sftp.sh] Remove dependency on /dev/stdin.
Diffstat (limited to 'regress/ssh-com-sftp.sh')
-rw-r--r--regress/ssh-com-sftp.sh22
1 files changed, 14 insertions, 8 deletions
diff --git a/regress/ssh-com-sftp.sh b/regress/ssh-com-sftp.sh
index 760cc905..6ca7dad5 100644
--- a/regress/ssh-com-sftp.sh
+++ b/regress/ssh-com-sftp.sh
@@ -5,6 +5,13 @@ tid="basic sftp put/get with ssh.com server"
DATA=/bin/ls${EXEEXT}
COPY=${OBJ}/copy
+SFTPCMDFILE=${OBJ}/batch
+
+cat >$SFTPCMDFILE <<EOF
+version
+get $DATA ${COPY}.1
+put $DATA ${COPY}.2
+EOF
BUFFERSIZE="5 1000 32000 64000"
REQUESTS="1 2 10"
@@ -41,18 +48,17 @@ for v in ${VERSIONS}; do
for R in ${REQUESTS}; do
verbose "test $tid: buffer_size $B num_requests $R"
rm -f ${COPY}.1 ${COPY}.2
- ${SFTP} -P ${server} -B $B -R $R -b /dev/stdin \
- > /dev/null 2>&1 << EOF
- version
- get $DATA ${COPY}.1
- put $DATA ${COPY}.2
-EOF
+ ${SFTP} -P ${server} -B $B -R $R -b $SFTPCMDFILE \
+ > /dev/null 2>&1
r=$?
if [ $r -ne 0 ]; then
fail "sftp failed with $r"
+ else
+ cmp $DATA ${COPY}.1 || fail "corrupted copy after get"
+ cmp $DATA ${COPY}.2 || fail "corrupted copy after put"
fi
- cmp $DATA ${COPY}.1 || fail "corrupted copy after get"
- cmp $DATA ${COPY}.2 || fail "corrupted copy after put"
done
done
done
+rm -f ${COPY}.1 ${COPY}.2
+rm -f $SFTPCMDFILE